Bug 221737 - JGit Version Upgrade to 2.3
JGit Version Upgrade to 2.3
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Git
7.2
PC Windows 7 x64
: P3 with 1 vote (vote)
: 7.4
Assigned To: Ondrej Vrabec
issues@versioncontrol
: PLAN
: 229550 (view as bug list)
Depends on:
Blocks: 226382 226545
  Show dependency treegraph
 
Reported: 2012-11-08 15:44 UTC by toben
Modified: 2013-05-09 17:12 UTC (History)
3 users (show)

See Also:
Issue Type: TASK
:


Attachments
merge conflict (44.34 KB, image/png)
2013-01-24 09:38 UTC, toben
Details

Note You need to log in before you can comment on or make changes to this bug.
Description toben 2012-11-08 15:44:11 UTC
Hello,

meanwhile there is a version 2.1 of the jgit library available. Are there any plans to upgrade. Netbeans uses V1.3.

Maybe some merging issues would disappear. I am often has problems merging using Netbeans while native Git works like a charm.


Greetings 

Tobias
Comment 1 Ondrej Vrabec 2012-11-08 15:51:33 UTC
We'll upgrade when we have a reason to. Are you referring to any specific bug in JGit that you want to transplant to NetBeans? Please provide a link to them (https://bugs.eclipse.org/bugs/)
Comment 2 Ondrej Vrabec 2012-11-08 15:59:26 UTC
to be honest i am not a big fan of upgrading now. We're still quite happy with current version and i am a bit afraid the upgrade could break something.
Comment 3 toben 2012-11-08 17:59:44 UTC
I understand your concerns. Let me see if I could build a minimal example of what I mean. Maybe I am running into this eol "bug" of jgit using autocrlf=true on windows.
Is there a way that I can replace jgit and check its behaviour?

Greetings

Tobias
Comment 4 toben 2012-11-08 19:17:45 UTC
Regarding this autocrlf problem there is a notice in jgit 2.0 release infos: http://wiki.eclipse.org/JGit/New_and_Noteworthy/2.0
Comment 5 toben 2012-11-08 19:21:56 UTC
And this is one bug, that is quite annoying for me as a windows user:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=301775
Comment 6 Ondrej Vrabec 2012-11-16 16:00:07 UTC
> Is there a way that I can replace jgit and check its behaviour?
You can replace ide/modules/org-eclipse-jgit.jar with the 2.1 version and start the IDE with a fresh userdir (--userdir empty_userdir)
Comment 7 toben 2013-01-24 09:32:39 UTC
Sorry about the late reply.

I changed jgit to version 2.2 but there were API changes so I got 

java.lang.NoSuchMethodError: org.eclipse.jgit.lib.RefDatabase.newBatchUpdate()Lorg/eclipse/jgit/lib/BatchRefUpdate;

while pushing. Pulling and commit seems to work. Simple replacement is no solution.

Meanwhile pulling using Netbeans is nearly unuseable for us. We using GitK, TortoiseGIT or GIT from commandline to merge. These tools are doing the job. But I want to stick to one tool (Netbeans prefered ;)). 

We are developing from Windows and Linux clients. So this linefeed problem is there. jGit V1.3 is not able to use autocrlf so we are getting mixed linefeeds in our repository. 

I attached a problematic nb-configuration.xml merge conflict image snapshot. The files are identical except the linefeeds.
Comment 8 toben 2013-01-24 09:38:29 UTC
Created attachment 130567 [details]
merge conflict

Merge conflict. This file could be merged by jgit. It is only an example, that
there are mixed linefeeds. More complex merges could not be done in our
situation using jgit.
Comment 9 Ondrej Vrabec 2013-02-21 12:05:28 UTC
JGit 2.3 should be released soon, i will upgrade it in NB
Comment 10 Ondrej Vrabec 2013-03-11 10:17:47 UTC
fix: http://hg.netbeans.org/core-main/rev/7250126a1869
Comment 11 Quality Engineering 2013-03-12 02:04:35 UTC
Integrated into 'main-golden', will be available in build *201303112300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/7250126a1869
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #221737 - JGit Version Upgrade to 2.3
upgrading to JGit 2.3.1
Comment 12 Ondrej Vrabec 2013-05-09 17:12:49 UTC
*** Bug 229550 has been marked as a duplicate of this bug. ***


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo